{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-world-to-rabbitmq-http
  namespace: rabbitmq
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: rabbitmq
  ingress:
  - fromEntities:
    - world
  - toPorts:
    - ports:
      - port: "15672"
        protocol: TCP

{{- end }}
